### Function

# Gio DBusError strip_remote_error

since: 2.26

#### Declaration

    gboolean
    g_dbus_error_strip_remote_error (
      GError* error
    )

#### Description

Looks for extra information in the error message used to recover the D-Bus error name and strips it if found. If stripped, the message field in `error` will correspond exactly to what was received on the wire.

This is typically used when presenting errors to the end user.

Available since: 2.26

#### Parameters

`error`

  Type: `GError`

  A `GError`.

  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

`TRUE` if information was stripped, `FALSE` otherwise.